Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.newspaper
Class HtmlNewspaperTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  javax.faces.component.html.HtmlDataTable
                      org.apache.myfaces.custom.newspaper.HtmlNewspaperTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder

public class HtmlNewspaperTable
extends javax.faces.component.html.HtmlDataTable

Model for a table in multiple balanced columns.

Author:
  Jesse Wilson

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `NEWSPAPER_COLUMNS_PROPERTY` the property names
`static java.lang.String` | `RENDERER_TYPE` the component's renderers and type
`static java.lang.String` | `SPACER_FACET_NAME`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlNewspaperTable()`

Method Summary
`int` | `getNewspaperColumns()` Set the number of columns the table will be divided over.
`javax.faces.component.UIComponent` | `getSpacer()` Gets the spacer facet, between each pair of newspaper columns.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setNewspaperColumns(int newspaperColumns)`
`void` | `setSpacer(javax.faces.component.UIComponent spacer)`

Methods inherited from class javax.faces.component.html.HtmlDataTable
`encodeBegin, getBgcolor, getBorder, getCellpadding, getCellspacing, getColumnClasses, getDir, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getStyleClass, getSummary, getTitle, getWidth, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

Methods inherited from class javax.faces.component.UIData
`broadcast, encodeEnd, getClientId, getFamily, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getRows, getValue, getVar, isRowAvailable, processDecodes, processUpdates, processValidators, queueEvent, setFirst, setFooter, setHeader, setRowIndex, setRows, setValue, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

  the component's renderers and type

  See Also:
    Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### NEWSPAPER_COLUMNS_PROPERTY

    public static final java.lang.String NEWSPAPER_COLUMNS_PROPERTY

  the property names

  See Also:
    Constant Field Values

### SPACER_FACET_NAME

    public static final java.lang.String SPACER_FACET_NAME

See Also:
  Constant Field Values

Constructor Detail

### HtmlNewspaperTable

    public HtmlNewspaperTable()

Method Detail

### getNewspaperColumns

    public int getNewspaperColumns()

  Set the number of columns the table will be divided over.

### setNewspaperColumns

    public void setNewspaperColumns(int newspaperColumns)

### getSpacer

    public javax.faces.component.UIComponent getSpacer()

  Gets the spacer facet, between each pair of newspaper columns.

### setSpacer

    public void setSpacer(javax.faces.component.UIComponent spacer)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD